[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'GraphType' (#lcl)

# TRawImageDescription.PaletteBitsPerIndex

Bits per palette index, stored in the pixel data[?]

## Declaration

Source position: graphtype.pp line 144

`TRawImageDescription.PaletteBitsPerIndex: Byte;`

## Description

When a palette is used, [I suppose that] the color description fields apply to the palette colors, while pixel data contains the palette index. Then Depth applies to the size of the palette colors, and the pixel data is described by PaletteBitsPerIndex and PaletteShift[?]

## Errors

[palettes are not yet implemented]

The latest version of this document can be found at lazarus-ccr.sourceforge.net.